<?php
    @session_start();
    header( "Content-type: text/html; charset=utf-8" );
    set_time_limit(2000000);
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }
    include "config/conf.php";
?>


<!DOCTYPE html>
<html>
<head>
	<title><?php echo $title; ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta charset="utf-8">
	<base href="<?php echo "http://".$_SERVER["HTTP_HOST"].$_SERVER["SCRIPT_NAME"]; ?>" />

	<link href='https://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet' type='text/css'>

	<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/sb-admin.css">
	<link rel="stylesheet" type="text/css" href="css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="css/jasny-bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/jquery.autocomplete.css">
	<link rel="stylesheet" type="text/css" href="css/wysiwyg-color.css">

	<link rel="stylesheet" type="text/css" href="css/style.css">
	
    <link rel="shortcut icon" type="image/x-icon" href="<?=$base;?>/icone.png">

    <link href="summernote.css" rel="stylesheet">
   

	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
	<script type="text/javascript" src="js/jqBootstrapValidation.js"></script>
	<script type="text/javascript" src="js/bootstrap-inputmask.min.js"></script>
	<script type="text/javascript" src="js/jquery.maskMoney.min.js"></script>
	<script type="text/javascript" src="js/prettify.js"></script>
	<script type="text/javascript" src="js/jquery.colorbox-min.js"></script>

    <script src="js/jquery.complexify.js"></script> 
    <script src="summernote.min.js"></script>

	<link rel="stylesheet" type="text/css" href="colorbox.css">
	<script>
	  $(function () { $("input,select,textarea").not("[type=submit]").jqBootstrapValidation(); } );
	</script>
</head>
<body style="padding-top: 15px !important;">
<div class="container" style="margin-top:-50px">
<div id="msg"></div>
<?php

	if ( isset ( $_GET["id"] ) ) {

		$id = "";
		if ( isset( $_GET["id"] ) ) $id = $_GET["id"];
		
		if ( empty ( $id ) ) {

			echo "<script>alert('Erro ao enviar mensagem, arquivo inválido');</script>";

		} else if ( empty ( $id ) ) {

			echo "<script>alert('Cliente inválido');</script>";

		} else {
			
			$sql = "select p.servidor, p.login, p.senha, p.porta, a.id, a.arquivo, c.nome, p.nome parceiro, p.nomeemail, c.email cemail, f.nome fnome, p.nome parceiro, f.email femail, p.assinatura, p.texto 
				from arquivo a
				inner join cliente c on (c.id = a.cliente_id)
				inner join parceiro p on (p.id = c.parceiro_id)
				inner join funcionario f on (f.id = c.funcionario_id)
				where a.id = ?  
				limit 1";
			$consulta = $db->prepare($sql);
			$consulta->bindParam(1, $id);
			$consulta->execute();

			$dados = $consulta->fetch(PDO::FETCH_OBJ);

			if ( empty ( $dados->id ) )  {
				echo "<script>alert('Erro ao selecionar dados para envio: O parceiro selecionado não permite envio de e-mails.');</script>";
			} else if ( empty ( $dados->servidor ) ) {
				echo "<script>alert('Erro: O parceiro selecionado não possui servidor configurado.');</script>";
			} else if ( empty ( $dados->porta ) ) {
				echo "<script>alert('Erro: A porta de e-mails deste parceiro não está configurada para envios');</script>";
			} else if ( empty ( $dados->login ) ) {
				echo "<script>alert('Erro: Login para envio de e-mails em branco');</script>";
			}  else if ( empty ( $dados->senha ) ) {
				echo "<script>alert('Erro: Senha para envio de e-mails em branco.');</script>";
			} else {

				require 'PHPMailerAutoload.php';
				$aid = $dados->id;
				
				$server = $dados->servidor;
				$port = $dados->porta;
				$login = $dados->login;
				$pass = $dados->senha;
				$nome = $dados->nomeemail;
				$assinatura = "../downloads/".$dados->assinatura;
				$texto = $dados->texto;


				$arquivo = "../../downloads/".$dados->arquivo;

				if ( file_exists ( $arquivo ) ) {
					$cliente = utf8_decode($dados->nome);
					$femail = $dados->femail;
					$cemail = $dados->cemail;
					$fnome = $dados->fnome;
					$parceiro = $dados->parceiro;

					$femail = $cemail = "burnes@professorburnes.com";

					$mail = new PHPMailer;
					$mail->isSMTP();
					$mail->SMTPDebug = 0;
					$mail->Debugoutput = 'html';
					$mail->Host = $server;
					$mail->Port = $port;
					//$mail->SMTPSecure = 'ssl';
					$mail->SMTPAuth = true;
					$mail->Username = $login;
					$mail->Password = $pass;
					$mail->setFrom($login, $nome);
	        		$mail->addAddress($cemail, $cliente);
	       			$mail->addAddress($femail, $fnome);
	       			//$mail->addAddress("teste@maxcredit.com.br", "MaxCredit");

	       			$emails = str_replace("\\\\", ";", $cemail);
           			$emails = str_replace("\\", ";", $emails);
           			$emails = str_replace(" ", ";", $emails);
           			$emails = str_replace("<", "", $emails);

           			$emails = explode(";", $emails);
           			$eemail = "";
           			foreach ($emails as $email) {
           				$mail->addAddress($email, $cliente);
           				$eemail .= $email." ";
           			}

					$mail->ConfirmReadingTo = $femail;

	       			$mensagem = utf8_decode("$texto<br><img src='http://www.gruporbk.com.br/downloads/$assinatura'>");

	       			$mail->Subject = "Boleto - $parceiro ( $cliente )";
	       			$mail->msgHTML("Prezado $cliente <br><br> $mensagem");
	       			$mail->addAttachment($arquivo);

	       			sleep(1);

					if (!$mail->send()) {
		                echo "<script>alert('Erro ao enviar e-mail para $cliente  $eemail ( Parceiro: $dados->parceiro ) : " . $mail->ErrorInfo." Servidor $server - Login: $login ');</script>";

		            } else {
		                echo  "<script>alert('Mensagem enviada com sucesso para $cliente $cemail!');</script>";

		                $email = "$cemail $femail";
		                $data = date("Y-m-d H:i");
		                

		                $sql2 = "insert into envio values (NULL, '$data', '$eemail', $aid)";
		                $consulta2 = $db->prepare($sql2);
		                if (!$consulta2->execute()) echo $consulta2->errorInfo()[2];	                	
		            }
		        } else {

		        	echo "<script>alert('O arquivo $arquivo não existe no servidor!');</script>";

		        }


			}

		}

	} else {

		echo "<div class='alert alert-danger'><strong>Erro:</strong> requisição inválida</div>";

	}

	exit;
	
   ?>
   </div>
</body>
</html>
